package com.kingdee.eas.custom.integration.feishu;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class FeishuI18nResourcesEntryFactory
{
    private FeishuI18nResourcesEntryFactory()
    {
    }
    public static IFeishuI18nResourcesEntry getRemoteInstance() throws BOSException
    {
        return (IFeishuI18nResourcesEntry)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("63AC65D4") , IFeishuI18nResourcesEntry.class);
    }
    
    public static IFeishuI18nResourcesEntry getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (IFeishuI18nResourcesEntry)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("63AC65D4") , IFeishuI18nResourcesEntry.class, objectCtx);
    }
    public static IFeishuI18nResourcesEntry getLocalInstance(Context ctx) throws BOSException
    {
        return (IFeishuI18nResourcesEntry)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("63AC65D4"));
    }
    public static IFeishuI18nResourcesEntry getLocalInstance(String sessionID) throws BOSException
    {
        return (IFeishuI18nResourcesEntry)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("63AC65D4"));
    }
}